﻿using BankDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BankContracts.ViewModels
{
    public class CreditProgramViewModel : ICreditProgramModel
    {
        [DisplayName("Название кредитной программы")]
        public string Name { get; set; } = string.Empty;
        [DisplayName("Процент кредитования")]
        public float Percent { get; set; }
        public Dictionary<int, ICurrencyModel> CreditProgramCurrencies { get; set; } = new();
        [DisplayName("Номер программы")]
        public int Id { get; set; }
        public int BankOperatorId { get; set; }
        [DisplayName("ФИО оператора")]
        public string BankOperatorFIO { get; set; } = string.Empty;
    }
}
