﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BankDatabaseImplement.Models
{
    public class CreditProgramCurrency
    {
        public int Id { get; set; }
        [Required]
        public int CurrencyId { get; set; }
        [Required]
        public int CreditProgramId { get; set; }
        public virtual Currency Currency { get; set; } = new();
        public virtual CreditProgram CreditProgram { get; set; } = new();
    }
}
